Guard Belton:
You haven't heard of the green dragon Antharas? I have never seen it myself, and I know no more than what I was told by the elders when I was young. They say that when it moves, the axis of the earth shakes, and when it sighs the Dragon Valley becomes a sea of fire. Since no one has lived after seeing Antharas, I can't imagine how terrible it must be. If the old stories are true, it must be the strongest living thing in the world.
Return